Bug 1595213 - wrong URL on DRO dialog submition [NEEDINFO]
Summary: wrong URL on DRO dialog submition
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.z
Assignee: Harpreet Kataria
QA Contact: Sudhir Mallamprabhakara
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-26 11:39 UTC by Cyril Coupel
Modified: 2019-08-22 00:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-31 20:51:19 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
hkataria: needinfo? (ccoupel)
hkataria: needinfo? (ccoupel)


Attachments (Terms of Use)

Description Cyril Coupel 2018-06-26 11:39:24 UTC
Description of problem:
Based on a dialog shown from a custom button based on a generic object, when submitting the dialog, the resulting URL is wrong:

lets say 
- service ID=10000000000002
- generic object ID=10000000000016

after submiting, the URL is

/service/show/10000000000016?display=generic_objects 

it may be

instead of /service/show/10000000000002?display=generic_objects&generic_object_id=10000000000016 
or /service/show/10000000000002?display=generic_objects





Version-Release number of selected component (if applicable):
5.9.2

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Peter McGowan 2018-07-26 09:41:45 UTC
This is repeatable for me as well.

Displaying a generic object from a service shows a URL in the browser address bar that ends: /service/show/120?display=generic_objects&generic_object_id=30

I have a button on this generic object that has a dialog, and runs one of the generic object's methods. Clicking the button opens the dialog as expected, but if I fill in the dialog elements and click 'Submit', I see the error:

"Unexpected error encountered

... 

 Error text:

Couldn't find Service with 'id'=30 [service/show]"

The URL in the browser address bar ends: /service/show/30?display=generic_objects

The generic object method is run successfully however.

Comment 3 Peter McGowan 2018-07-26 10:04:26 UTC
Although the generic object method is run, the dialog values don't seem to be passed to the method


Note You need to log in before you can comment on or make changes to this bug.